<?php
/**************************************************
  Coppermine 1.5.x Plugin - loadscripts
**************************************************/
// create Inspekt supercage
$superCage = Inspekt::makeSuperCage();

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}


if (!GALLERY_ADMIN_MODE) {
    cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
}

require "./plugins/loadscripts/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/loadscripts/lang/{$CONFIG['lang']}.php")) {
    require "./plugins/loadscripts/lang/{$CONFIG['lang']}.php";
}

// get sanitized POST parameters
if ($superCage->post->keyExists('submit')) {
	//Check if the form token is valid
	if(!checkFormToken()){
		cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
	}
  // Define the sanitization patterns
  $sanitization_array = array(
/*      'plugin_loadscripts_adminmode' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),     */
      'plugin_loadscripts_enable' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_header' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_local' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_new' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_noconflict' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_compress' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_angular' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_dojo' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_ext_core' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_jquery' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_jquerycompat' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_jqueryui' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_jquerymobile' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_mootools' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_prototype' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_scriptaculous' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_swfobject' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_threejs' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),      
      'plugin_loadscripts_webfont' => array('type' => 'checkbox', 'min' => '0', 'max' => '1'),
      'plugin_loadscripts_angular_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_dojo_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_ext_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_jquery_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_jqueryui_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_jquerymobile_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_mootools_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_prototype_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_scriptaculous_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_swfobject_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),
      'plugin_loadscripts_threejs_version' => array('type' => 'raw', 'regex' => '/^[0-9a-z]+$/'),      
      'plugin_loadscripts_webfont_version' => array('type' => 'raw', 'regex' => '/(\d){1,2}.+(\d){1,2}.{0,1}(\d){0,2}.{0,1}(\d){0,2}$/'),      
  );
  $config_changes_counter = 0;
  foreach ($sanitization_array as $san_key => $san_value) {
      if (isset($CONFIG[$san_key]) == TRUE) { // only loop if config value is set --- start
          if ($san_value['type'] == 'checkbox') { // type is checkbox --- start
            if ($superCage->post->getInt($san_key) == $san_value['max'] && $CONFIG[$san_key] != $san_value['max']) {
                $CONFIG[$san_key] = $san_value['max'];
                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                $config_changes_counter++;
            } elseif($superCage->post->getInt($san_key) == $san_value['min'] && $CONFIG[$san_key] != $san_value['min']) {
                $CONFIG[$san_key] = $san_value['min'];
                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                $config_changes_counter++;
            } elseif($superCage->post->keyExists($san_key) != TRUE && $CONFIG[$san_key] != '0') {
                $CONFIG[$san_key] = 0;
                cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                $config_changes_counter++;
            }
          } // type is checkbox --- end
          if ($san_value['type'] == 'int') { // type is integer --- start
              if ($superCage->post->getInt($san_key) <= $san_value['max'] && $superCage->post->getInt($san_key) >= $san_value['min'] && $superCage->post->getInt($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getInt($san_key);
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              }
          } 
          if ($san_value['type'] == 'raw') { // type is raw --- start
              if (isset($san_value['regex']) == TRUE && preg_match($san_value['regex'], $superCage->post->getRaw($san_key)) && $superCage->post->getRaw($san_key) != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $superCage->post->getRaw($san_key);
				  if ($superCage->post->getRaw($san_key) == 'none') {
					$CONFIG[$san_key] = '';
				  }
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              } 

          } // type is raw --- end
          if ($san_value['type'] == 'array') { // type is array --- start              
          $evaluate_value = $superCage->post->getRaw($san_key);
              if (is_array($evaluate_value) && isset($san_value['regex_ok']) == TRUE && isset($san_value['delimiter']) == TRUE) {
                  $temp = '';
                  for ($i = 0; $i <= count($evaluate_value); $i++) {
                      if (preg_match($san_value['regex_ok'], $evaluate_value[$i])) {
                          $temp .= $evaluate_value[$i] . $san_value['delimiter'];
                      }
                  }
                  unset($evaluate_value);
                  $evaluate_value = rtrim($temp, $san_value['delimiter']);
                  unset($temp);
              }
              if ($evaluate_value != $CONFIG[$san_key]) {
                  $CONFIG[$san_key] = $evaluate_value;
                  cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value='{$CONFIG[$san_key]}' WHERE name='$san_key'");
                  $config_changes_counter++;
              }
          } // type is array --- end
      } // only loop if config value is set --- end
  }
}


// display config page

// Set the option output stuff 
/*if ($CONFIG['plugin_loadscripts_adminmode'] == '1') {
	$option_output['plugin_loadscripts_adminmode'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_adminmode'] = '';
}  */

if ($CONFIG['plugin_loadscripts_enable'] == '1') {
	$option_output['plugin_loadscripts_enable'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_enable'] = '';
}

if ($CONFIG['plugin_loadscripts_header'] == '1') {
	$option_output['plugin_loadscripts_header'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_header'] = '';
}

if ($CONFIG['plugin_loadscripts_local'] == '1') {
	$option_output['plugin_loadscripts_local'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_local'] = '';
}

if ($CONFIG['plugin_loadscripts_new'] == '1') {
	$option_output['plugin_loadscripts_new'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_new'] = '';
}

if ($CONFIG['plugin_loadscripts_noconflict'] == '1') {
	$option_output['plugin_loadscripts_noconflict'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_noconflict'] = '';
}

if ($CONFIG['plugin_loadscripts_compress'] == '1') {
	$option_output['plugin_loadscripts_compress'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_compress'] = '';
}

if ($CONFIG['plugin_loadscripts_angular'] == '1') {
	$option_output['plugin_loadscripts_angular'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_angular'] = '';
}

if ($CONFIG['plugin_loadscripts_dojo'] == '1') {
	$option_output['plugin_loadscripts_dojo'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_dojo'] = '';
}

if ($CONFIG['plugin_loadscripts_ext_core'] == '1') {
	$option_output['plugin_loadscripts_ext_core'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_ext_core'] = '';
}

if ($CONFIG['plugin_loadscripts_jquery'] == '1') {
	$option_output['plugin_loadscripts_jquery'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_jquery'] = '';
}

if ($CONFIG['plugin_loadscripts_jquerycompat'] == '1') {
	$option_output['plugin_loadscripts_jquerycompat'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_jquerycompat'] = '';
}

if ($CONFIG['plugin_loadscripts_jqueryui'] == '1') {
	$option_output['plugin_loadscripts_jqueryui'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_jqueryui'] = '';
}

if ($CONFIG['plugin_loadscripts_jquerymobile'] == '1') {
	$option_output['plugin_loadscripts_jquerymobile'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_jquerymobile'] = '';
}

if ($CONFIG['plugin_loadscripts_mootools'] == '1') {
	$option_output['plugin_loadscripts_mootools'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_mootools'] = '';
}

if ($CONFIG['plugin_loadscripts_prototype'] == '1') {
	$option_output['plugin_loadscripts_prototype'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_prototype'] = '';
}

if ($CONFIG['plugin_loadscripts_scriptaculous'] == '1') {
	$option_output['plugin_loadscripts_scriptaculous'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_scriptaculous'] = '';
}

if ($CONFIG['plugin_loadscripts_swfobject'] == '1') {
	$option_output['plugin_loadscripts_swfobject'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_swfobject'] = '';
}

if ($CONFIG['plugin_loadscripts_threejs'] == '1') {
	$option_output['plugin_loadscripts_threejs'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_threejs'] = '';
}

if ($CONFIG['plugin_loadscripts_webfont'] == '1') {
	$option_output['plugin_loadscripts_webfont'] = 'selected="selected"';
} else { 
	$option_output['plugin_loadscripts_webfont'] = '';
}

pageheader(sprintf($lang_plugin_loadscripts['configure_x'], $lang_plugin_loadscripts['plugin_name']));
list($timestamp, $form_token) = getFormToken();
echo <<< EOT
<form action="index.php?file=loadscripts/admin" method="post" name="loadscripts_settings">
EOT;
starttable('100%', sprintf($lang_plugin_loadscripts['configure_x'], $lang_plugin_loadscripts['plugin_name']), 3, 'cpg_zebra');

if ($superCage->post->keyExists('submit')) {
    if ($config_changes_counter > 0) {
        echo <<< EOT
	<tr>
		<td class="tablef" colspan="2" >
EOT;
        msg_box('', $lang_plugin_loadscripts['update_success'], '', '', 'success');
    } else {
        msg_box('', $lang_plugin_loadscripts['no_changes'], '', '', 'validation');
    }
        echo <<< EOT
		</td>
	</tr>
EOT;
}
echo <<< EOT
    <!-- insert config option form code start -->
  <tr title="{$lang_plugin_loadscripts['tip_plugin_loadscripts_enable']}">
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['plugin_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_enable" id="plugin_loadscripts_enable" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_enable']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_enable']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
EOT;

if ($CONFIG['plugin_loadscripts_enable'] == '1') {
echo <<< EOT
  <tr title="{$lang_plugin_loadscripts['tip_plugin_loadscripts_header']}">
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['plugin_header']}
		</td>
		<td>
			<select name="plugin_loadscripts_header" id="plugin_loadscripts_header" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_header']}>{$lang_plugin_loadscripts['footerp']}</option>
				<option value="1" {$option_output['plugin_loadscripts_header']}>{$lang_plugin_loadscripts['headerp']}</option>
			</select>
		</td>
	</tr>
  <tr title="{$lang_plugin_loadscripts['tip_plugin_loadscripts_local']}">
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['local_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_local" id="plugin_loadscripts_local" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_local']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_local']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
EOT;

echo <<< EOT
  <tr title="{$lang_plugin_loadscripts['tip_plugin_loadscripts_compress']}">
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['compress_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_compress" id="plugin_loadscripts_compress" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_compress']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_compress']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>        

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['angular_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_angular" id="plugin_loadscripts_angular" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_angular']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_angular']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Angular {$lang_plugin_loadscripts['version']}
    </td>
    <td>
          <input type="text" name="plugin_loadscripts_angular_version" id="plugin_loadscripts_angular_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_angular_version']}" {$option_output['plugin_loadscripts_angular_version']} />
    </td>
  </tr>

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['dojo_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_dojo" id="plugin_loadscripts_dojo" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_dojo']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_dojo']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Dojo {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_dojo_version" id="plugin_loadscripts_dojo_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_dojo_version']}" {$option_output['plugin_loadscripts_dojo_version']} />
    </td>
  </tr>
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['ext_core_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_ext_core" id="plugin_loadscripts_ext_core" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_ext_core']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_ext_core']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Ext Core {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_ext_version" id="plugin_loadscripts_ext_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_ext_version']}" {$option_output['plugin_loadscripts_ext_version']} />
    </td>
  </tr>

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['jquery_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_jquery" id="plugin_loadscripts_jquery" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_jquery']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_jquery']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          jQuery {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_jquery_version" id="plugin_loadscripts_jquery_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_jquery_version']}" {$option_output['plugin_loadscripts_jquery_version']} />
    </td>
  </tr>  
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['jquerycompat_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_jquerycompat" id="plugin_loadscripts_jquerycompat" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_jquerycompat']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_jquerycompat']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
EOT;

if ($CONFIG['plugin_loadscripts_jquery'] == '1'){ 
echo <<< EOT
  <tr title="{$lang_plugin_loadscripts['tip_plugin_loadscripts_noconflict']}">
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['noconflict_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_noconflict" id="plugin_loadscripts_noconflict" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_noconflict']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_noconflict']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
EOT;
}

echo <<< EOT
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['jqueryui_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_jqueryui" id="plugin_loadscripts_jqueryui" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_jqueryui']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_jqueryui']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          jQuery UI {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_jqueryui_version" id="plugin_loadscripts_jqueryui_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_jqueryui_version']}" {$option_output['plugin_loadscripts_jqueryui_version']} />
    </td>
  </tr>    
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['jquerymobile_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_jquerymobile" id="plugin_loadscripts_jquerymobile" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_jquerymobile']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_jquerymobile']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          jQuery Mobile {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_jquerymobile_version" id="plugin_loadscripts_jquerymobile_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_jquerymobile_version']}" {$option_output['plugin_loadscripts_jquerymobile_version']} />
    </td>
  </tr>     
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['mootools_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_mootools" id="plugin_loadscripts_mootools" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_mootools']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_mootools']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>

  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Mootools {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_mootools_version" id="plugin_loadscripts_mootools_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_mootools_version']}" {$option_output['plugin_loadscripts_mootools_version']} />
    </td>
  </tr>  

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['prototype_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_prototype" id="plugin_loadscripts_prototype" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_prototype']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_prototype']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Prototype {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_prototype_version" id="plugin_loadscripts_prototype_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_prototype_version']}" {$option_output['plugin_loadscripts_prototype_version']} />
    </td>
  </tr>    
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['scriptaculous_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_scriptaculous" id="plugin_loadscripts_scriptaculous" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_scriptaculous']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_scriptaculous']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          script.aculo.us {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_scriptaculous_version" id="plugin_loadscripts_scriptaculous_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_scriptaculous_version']}" {$option_output['plugin_loadscripts_scriptaculous_version']} />
    </td>
  </tr>  

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['swfobject_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_swfobject" id="plugin_loadscripts_swfobject" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_swfobject']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_swfobject']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          SWFObject {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_swfobject_version" id="plugin_loadscripts_swfobject_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_swfobject_version']}" {$option_output['plugin_loadscripts_swfobject_version']} />
    </td>
  </tr>    
  
  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['threejs_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_threejs" id="plugin_loadscripts_threejs" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_threejs']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_threejs']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          Three.js {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_threejs_version" id="plugin_loadscripts_threejs_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_threejs_version']}" {$option_output['plugin_loadscripts_threejs_version']} />
    </td>
  </tr>    

  <tr>
		<td style="width: 50%; padding: 10px; text-align: right;">
			{$lang_plugin_loadscripts['webfont_enable']}
		</td>
		<td>
			<select name="plugin_loadscripts_webfont" id="plugin_loadscripts_webfont" class="listbox">
				<option value="0" {$option_output['plugin_loadscripts_webfont']}>{$lang_plugin_loadscripts['disabled']}</option>
				<option value="1" {$option_output['plugin_loadscripts_webfont']}>{$lang_plugin_loadscripts['enabled']}</option>
			</select>
		</td>
	</tr>
  
  <tr>
    <td style="width: 50%; padding: 10px; text-align: right;">
          WebFont Loader {$lang_plugin_loadscripts['version']}
    </td>
    <td>
      <input type="text" name="plugin_loadscripts_webfont_version" id="plugin_loadscripts_webfont_version" class="textinput" size="14" maxlength="12" value="{$CONFIG['plugin_loadscripts_webfont_version']}" {$option_output['plugin_loadscripts_webfont_version']} />
    </td>
  </tr>   
EOT;
}
echo <<< EOT
	<tr>
		<td class="tablef" colspan="3" style="text-align: center;">
      <a target="_blank" href="https://developers.google.com/speed/libraries/devguide" style="font-weight: bold; font-size: 14px;" >{$lang_plugin_loadscripts['glink']}</a>
		</td>
	</tr>
    <!-- insert config option form code end -->
	<tr>
		<td class="tablef" colspan="3" style="text-align: center;">
			<input type="hidden" name="form_token" value="{$form_token}" />
			<input type="hidden" name="timestamp" value="{$timestamp}" />
			<button type="submit" class="button" name="submit" value="{$lang_plugin_loadscripts['submit']}">{$lang_plugin_loadscripts['submit']}</button>
		</td>
	</tr>
EOT;

endtable();
echo <<< EOT
</form>
EOT;
pagefooter();

?>