<?php
/**************************************************
  Coppermine 1.5.x Plugin - loadscripts
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

// Define plugin actions here
$thisplugin->add_action('plugin_install','loadscripts_install');
$thisplugin->add_action('plugin_uninstall','loadscripts_uninstall');

if ($CONFIG['plugin_loadscripts_header'] == 1) {
//Add script to header
$thisplugin->add_filter('page_meta','scriptload');
} else {
//Add script to footer
$thisplugin->add_filter('gallery_footer','scriptload');
}

// Define plugin filters here

// Define the plugin's functions here
function loadscripts_install() {
    global $CONFIG;
    
	// Add the config options for the plugin

    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_enable', '1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_header', '1')");
	  cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_local', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_new', '1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_noconflict', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_compress', '1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_angular', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_dojo', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_ext_core', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquery', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquerycompat', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jqueryui', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquerymobile', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_mootools', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_prototype', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_scriptaculous', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_swfobject', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_threejs', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_webfont', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_angular_version', '1.2.25')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_dojo_version', '1.10.1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_ext_version', '3.1.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquery_version', '1.11.1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jqueryui_version', '1.11.1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquerymobile_version', '1.4.3')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_mootools_version', '1.5.1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_prototype_version', '1.7.2.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_scriptaculous_version', '1.9.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_swfobject_version', '2.2')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_threejs_version', 'r67')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_webfont_version', '1.5.0')");
    
    return true;
}

function loadscripts_uninstall() {
    global $CONFIG, $lang_errors;
    
	$superCage = Inspekt::makeSuperCage();
    if (!checkFormToken()) {
        cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
    }
    // Delete the plugin config records
 
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_enable'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_header'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_local'");
	  cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_new'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_noconflict'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_compress'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_angular'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_dojo'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_ext_core'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquery'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquerycompat'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jqueryui'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquerymobile'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_mootools'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_prototype'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_scriptaculous'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_swfobject'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_threejs'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_webfont'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_angular_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_dojo_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_ext_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquery_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jqueryui_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquerymobile_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_mootools_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_prototype_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_scriptaculous_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_swfobject_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_threejs_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_webfont_version'");
    return true;
}

function scriptload ($html){
    global $CONFIG, $CPG_PHP_SELF, $JS, $template_header;
    
    
if ($CONFIG['plugin_loadscripts_enable'] == 1) {    
  $scriptstart = '<!-- Start Load Script Plugin here -->'."\n";
  $scriptend =  '<!-- End of Load Script Plugin here -->'."\n";
  $before = '<script type="text/javascript" src="';
  $after = '"></script>'."\n";
  $mainurl = $CONFIG['site_url'];

if  ($CONFIG['plugin_loadscripts_noconflict'] == 1 && $CONFIG['plugin_loadscripts_jquery'] == 1){
    $noconflict = '<script type="text/javascript">var $ = jQuery.noConflict();</script>'."\n";
    } else  {
    $noconflict = "";       
    }    
       
if ($CONFIG['plugin_loadscripts_local'] == 1){
    //local link
    
    if  ($CONFIG['plugin_loadscripts_angular'] == 1){
     $angular = $before.$mainurl.'plugins/loadscripts/js/angular.min.js'.$after;   
    } else {
     $angular = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_dojo'] == 1){
      $dojo = $before.$mainurl.'plugins/loadscripts/js/dojo.js'.$after;
    } else {
     $dojo = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_ext_core'] == 1){
      $ext_core = $before.$mainurl.'plugins/loadscripts/js/ext-core.js'.$after;        
    } else {
     $ext_core = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jquery'] == 1){
      $jquery = $before.$mainurl.'plugins/loadscripts/js/jquery.min.js'.$after; 
    } else {
     $jquery = "";
    }
    
    if ($CONFIG['plugin_loadscripts_jquerycompat'] == 1){
        $jquerycompat = $before.$mainurl.'plugins/loadscripts/js/jquery-migrate-1.2.1.min.js'.$after;  

    } else {
        $jquerycompat = "";
    }

    if  ($CONFIG['plugin_loadscripts_jqueryui'] == 1){
      $jqueryui = '<link rel="stylesheet" href="'.$mainurl.'plugins/loadscripts/js/jquery-ui.min.css" />'."\n".$before.$mainurl.'plugins/loadscripts/js/jquery-ui.min.js'.$after; 
    } else {
     $jqueryui = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jquerymobile'] == 1){
      $jquerymobile = '<link rel="stylesheet" href="'.$mainurl.'plugins/loadscripts/js/jquery.mobile.min.css" />'."\n".$before.$mainurl.'plugins/loadscripts/js/jquery.mobile.min.js'.$after; 
    } else {
     $jquerymobile = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_mootools'] == 1){
       $mootools = $before.$mainurl.'plugins/loadscripts/js/mootools-yui-compressed.js'.$after;  
    } else {
     $mootools = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_prototype'] == 1){
        $prototype = $before.$mainurl.'plugins/loadscripts/js/prototype.js'.$after;  
    } else {
     $prototype = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_scriptaculous'] == 1){
        $scriptaculous = $before.$mainurl.'plugins/loadscripts/js/scriptaculous.js'.$after;
    } else {
     $scriptaculous = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_swfobject'] == 1){
        $swfobject = $before.$mainurl.'plugins/loadscripts/js/swfobject.js'.$after;   
    } else {
     $swfobject = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_threejs'] == 1){
      $threejs = $before.$mainurl.'plugins/loadscripts/js/three.min.js'.$after;   
    } else {
     $threejs = "";
    }    
    
    if  ($CONFIG['plugin_loadscripts_webfont'] == 1){
        $webfont = $before.$mainurl.'plugins/loadscripts/js/webfont.js'.$after;
   } else {
     $webfont = "";
    }

} else {

    if  ($CONFIG['plugin_loadscripts_angular'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $angular = $before.'//ajax.googleapis.com/ajax/libs/angularjs/'.$CONFIG['plugin_loadscripts_angular_version'].'/angular.min.js'.$after;
        } else  {
        $angular = $before.'//ajax.googleapis.com/ajax/libs/angularjs/'.$CONFIG['plugin_loadscripts_angular_version'].'/angular.js'.$after;       
        }
    } else {
     $angular = "";
    }

    if  ($CONFIG['plugin_loadscripts_dojo'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $dojo = $before.'//ajax.googleapis.com/ajax/libs/dojo/'.$CONFIG['plugin_loadscripts_dojo_version'].'/dojo/dojo.js'.$after;
        } else  {
        $dojo = $before.'//ajax.googleapis.com/ajax/libs/dojo/'.$CONFIG['plugin_loadscripts_dojo_version'].'/dojo/dojo.js.uncompressed.js'.$after;       
        }
    } else {
     $dojo = "";
    }

    if  ($CONFIG['plugin_loadscripts_ext_core'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $ext_core = $before.'//ajax.googleapis.com/ajax/libs/ext-core/'.$CONFIG['plugin_loadscripts_ext_version'].'/ext-core.js'.$after;
        } else  {
        $ext_core = $before.'//ajax.googleapis.com/ajax/libs/ext-core/'.$CONFIG['plugin_loadscripts_ext_version'].'/ext-core-debug.js'.$after;       
        }
    } else {
     $ext_core = "";
    }

    if  ($CONFIG['plugin_loadscripts_jquery'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jquery = $before.'//ajax.googleapis.com/ajax/libs/jquery/'.$CONFIG['plugin_loadscripts_jquery_version'].'/jquery.min.js'.$after;
        } else  {
        $jquery = $before.'//ajax.googleapis.com/ajax/libs/jquery/'.$CONFIG['plugin_loadscripts_jquery_version'].'/jquery.js'.$after;       
        }
    } else {
     $jquery = "";
    }
    
    if ($CONFIG['plugin_loadscripts_jquerycompat'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jquerycompat = $before.'//code.jquery.com/jquery-migrate-1.2.1.min.js'.$after; 
        } else  {
        $jquerycompat = $before.'//code.jquery.com/jquery-migrate-1.2.1.js'.$after;       
        }
    } else {
        $jquerycompat = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jqueryui'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jqueryui = '<link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/themes/smoothness/jquery-ui.min.css" />'."\n".$before.'//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/jquery-ui.min.js'.$after;
        } else  {
        $jqueryui = '<link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/themes/smoothness/jquery-ui.css" />'."\n".$before.'//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/jquery-ui.js'.$after;       
        }
    } else {
     $jqueryui = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jquerymobile'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jquerymobile = '<link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jquerymobile/'.$CONFIG['plugin_loadscripts_jquerymobile_version'].'/jquery.mobile.min.css" />'."\n".$before.'//ajax.googleapis.com/ajax/libs/jquerymobile/'.$CONFIG['plugin_loadscripts_jquerymobile_version'].'/jquery.mobile.min.js'.$after;
        } else  {
        $jquerymobile = '<link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jquerymobile/'.$CONFIG['plugin_loadscripts_jquerymobile_version'].'/jquery.mobile.css" />'."\n".$before.'//ajax.googleapis.com/ajax/libs/jquerymobile/'.$CONFIG['plugin_loadscripts_jquerymobile_version'].'/jquery.mobile.js'.$after;       
        }
    } else {
     $jquerymobile = "";
    }    
    
    if  ($CONFIG['plugin_loadscripts_mootools'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $mootools = $before.'//ajax.googleapis.com/ajax/libs/mootools/'.$CONFIG['plugin_loadscripts_mootools_version'].'/mootools-yui-compressed.js'.$after;
        } else  {
        $mootools = $before.'//ajax.googleapis.com/ajax/libs/mootools/'.$CONFIG['plugin_loadscripts_mootools_version'].'/mootools.js'.$after;       
        }
    } else {
     $mootools = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_prototype'] == 1){
        $prototype = $before.'//ajax.googleapis.com/ajax/libs/prototype/'.$CONFIG['plugin_loadscripts_prototype_version'].'/prototype.js'.$after;
    } else {
     $prototype = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_scriptaculous'] == 1){
        $scriptaculous = $before.'//ajax.googleapis.com/ajax/libs/scriptaculous/'.$CONFIG['plugin_loadscripts_scriptaculous_version'].'/scriptaculous.js'.$after;
    } else {
     $scriptaculous = "";
    }

    if  ($CONFIG['plugin_loadscripts_swfobject'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $swfobject = $before.'//ajax.googleapis.com/ajax/libs/swfobject/'.$CONFIG['plugin_loadscripts_swfobject_version'].'/swfobject.js'.$after;
        } else  {
        $swfobject = $before.'//ajax.googleapis.com/ajax/libs/swfobject/'.$CONFIG['plugin_loadscripts_swfobject_version'].'/swfobject_src.js'.$after;       
        }
    } else {
     $swfobject = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_threejs'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $threejs = $before.'//ajax.googleapis.com/ajax/libs/threejs/'.$CONFIG['plugin_loadscripts_threejs_version'].'/three.min.js'.$after;
        } else  {
        $threejs = $before.'//ajax.googleapis.com/ajax/libs/threejs/'.$CONFIG['plugin_loadscripts_threejs_version'].'/three.js'.$after;       
        }
    } else {
     $threejs = "";
    }

     if  ($CONFIG['plugin_loadscripts_webfont'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $webfont = $before.'//ajax.googleapis.com/ajax/libs/webfont/'.$CONFIG['plugin_loadscripts_webfont_version'].'/webfont.js'.$after;
        } else  {
        $webfont = $before.'//ajax.googleapis.com/ajax/libs/webfont/'.$CONFIG['plugin_loadscripts_webfont_version'].'/webfont_debug.js'.$after;       
        }
    } else {
     $webfont = "";
    }

}

$scriptadded = $scriptstart.$angular.$dojo.
           $ext_core.$jquery.$jquerycompat.$jqueryui.$jquerymobile.$mootools.$prototype.$scriptaculous.
           $swfobject.$threejs.$webfont.$noconflict.$scriptend;

if  ($CONFIG['plugin_loadscripts_jquery'] == 1){
  $html = str_replace('<script type="text/javascript" src="js/jquery-1.3.2.js"></script>', '', $html);
}
if ($CONFIG['plugin_loadscripts_header'] == 1) {           
$html = $scriptadded . $html;
} else {
$htmlclose = $scriptadded."</body>";
$html = str_replace("</body>", $htmlclose, $html);
}

}
return $html;    
}


?>